<?php
/**
 * バリデータ
 *
 * @package CF7MasterPro\Form
 */

namespace CF7MasterPro\Form;

defined( 'ABSPATH' ) || exit;

/**
 * ステップ間バリデーション・カスタムルール
 */
class Validator {

	/**
	 * 登録
	 */
	public function register() {
		add_filter( 'wpcf7_validate', array( $this, 'validate_step' ), 10, 2 );
	}

	/**
	 * ステップ単位バリデーション
	 *
	 * @param object $result 結果.
	 * @param array  $tags タグ.
	 * @return object
	 */
	public function validate_step( $result, $tags ) {
		return $result;
	}
}
